
#ifndef WIFI_HELPER_H
#define WIFI_HELPER_H


struct wifi_opclass_channel {
	int8_t txpower;               /**< max txpower in dBm */
	uint8_t num;
	uint8_t ch[32];
};

struct wifi_opclass_entry {
	uint32_t opclass;
	enum wifi_band band;
	enum wifi_bw bw;
	enum wifi_chan_ext ext;
	struct wifi_opclass_channel ch;
};

int wifi_get_opclass_entry(uint32_t opclass, struct wifi_opclass_entry *e);

#endif
