

#ifndef UTILS_H
#define UTILS_H


char *get_date(time_t *t, char *tbuf);
char *get_timestamp(time_t *t, char *tbuf);
void do_daemonize(const char *pidfile);


#ifndef list_flush
#define list_flush(head, type, member)					\
do {									\
	type *__p, *__tmp;						\
									\
	if (!list_empty(head))						\
		list_for_each_entry_safe(__p, __tmp, head, member) {	\
			list_del(&__p->member);				\
			free(__p);					\
		}							\
} while (0)
#endif

#ifndef BIT
#define BIT(n)	(1 << (n))
#endif

#endif /* UTILS_H */
